Xcode 9 iOSOpenDev 安装及编译


#1

其实现在很多新的模板应该已经兼容了,iOSOpenDev年久失修,每代都是各种问题。但是如果坚持要用xcode9+iOSOpenDev的话,可以试试这个方法。

安装

首先是安装iOSOpenDev,建议用全新安装xcode9,然后按照下面我的帖子放置3个文件

执行安装报错
Nov 6 01:32:34 MACPRO installd[505]: ./postinstall: PrivateFramework directory not found: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS11.1.sdk/System/Library/PrivateFrameworks
Nov 6 01:34:17 MACPRO installd[505]: ./postinstall: PrivateFramework directory not found: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator11.1.sdk/System/Library/PrivateFrameworks

在上述路径建立PrivateFrameworks空文件夹,或者从老版本xcode拷贝这个目录过来(八成也是空的),再安装。

编译

简单的tweak没问题,如果用到了一些Framework比如UIKit,编译报错:

因为xcode9用了新的头,iOSOpenDev模板有自己一套头文件但是太老了。

打开目录


把UIKit、ImageIO、IOSurface等Framework里面的头文件,更新到/opt/iOSOpenDev/include/相应目录下。具体更新哪些,根据你处错误的地方去找。

按照出错误的头文件,直接点右键show in finder可以快速定位。

把出错的头都拷贝完以后,添加好相应的库,就可以通过编译了。

我不知道如果回到老版本xcode这套头文件是否兼容。我懒得折腾了更新xcode9完全是为了iphonex的这个异形屏。


#2

MonkeyDev呢